# Source Generated with Decompyle++
# File: in.pyc (Python 2.7)

""" Python Character Mapping Codec cp875 generated from 'MAPPINGS/VENDORS/MICSFT/EBCDIC/CP875.TXT' with gencodec.py.

"""
import codecs

class Codec(codecs.Codec):
    
    def encode(self, input, errors = 'strict'):
        return codecs.charmap_encode(input, errors, encoding_table)

    
    def decode(self, input, errors = 'strict'):
        return codecs.charmap_decode(input, errors, decoding_table)



class IncrementalEncoder(codecs.IncrementalEncoder):
    
    def encode(self, input, final = False):
        return codecs.charmap_encode(input, self.errors, encoding_table)[0]



class IncrementalDecoder(codecs.IncrementalDecoder):
    
    def decode(self, input, final = False):
        return codecs.charmap_decode(input, self.errors, decoding_table)[0]



class StreamWriter(Codec, codecs.StreamWriter):
    pass


class StreamReader(Codec, codecs.StreamReader):
    pass


def getregentry():
    return codecs.CodecInfo(name = 'cp875', encode = Codec().encode, decode = Codec().decode, incrementalencoder = IncrementalEncoder, incrementaldecoder = IncrementalDecoder, streamreader = StreamReader, streamwriter = StreamWriter)

decoding_table = u'\x00\x01\x02\x03\xc2\x9c\t\xc2\x86\x7f\xc2\x97\xc2\x8d\xc2\x8e\x0b\x0c\r\x0e\x0f\x10\x11\x12\x13\xc2\x9d\xc2\x85\x08\xc2\x87\x18\x19\xc2\x92\xc2\x8f\x1c\x1d\x1e\x1f\xc2\x80\xc2\x81\xc2\x82\xc2\x83\xc2\x84\n\x17\x1b\xc2\x88\xc2\x89\xc2\x8a\xc2\x8b\xc2\x8c\x05\x06\x07\xc2\x90\xc2\x91\x16\xc2\x93\xc2\x94\xc2\x95\xc2\x96\x04\xc2\x98\xc2\x99\xc2\x9a\xc2\x9b\x14\x15\xc2\x9e\x1a \xce\x91\xce\x92\xce\x93\xce\x94\xce\x95\xce\x96\xce\x97\xce\x98\xce\x99[.<(+!&\xce\x9a\xce\x9b\xce\x9c\xce\x9d\xce\x9e\xce\x9f\xce\xa0\xce\xa1\xce\xa3]$*);^-/\xce\xa4\xce\xa5\xce\xa6\xce\xa7\xce\xa8\xce\xa9\xce\xaa\xce\xab|,%_>?\xc2\xa8\xce\x86\xce\x88\xce\x89\xc2\xa0\xce\x8a\xce\x8c\xce\x8e\xce\x8f`:#@\'="\xce\x85abcdefghi\xce\xb1\xce\xb2\xce\xb3\xce\xb4\xce\xb5\xce\xb6\xc2\xb0jklmnopqr\xce\xb7\xce\xb8\xce\xb9\xce\xba\xce\xbb\xce\xbc\xc2\xb4~stuvwxyz\xce\xbd\xce\xbe\xce\xbf\xcf\x80\xcf\x81\xcf\x83\xc2\xa3\xce\xac\xce\xad\xce\xae\xcf\x8a\xce\xaf\xcf\x8c\xcf\x8d\xcf\x8b\xcf\x8e\xcf\x82\xcf\x84\xcf\x85\xcf\x86\xcf\x87\xcf\x88{ABCDEFGHI\xc2\xad\xcf\x89\xce\x90\xce\xb0\xe2\x80\x98\xe2\x80\x95}JKLMNOPQR\xc2\xb1\xc2\xbd\x1a\xce\x87\xe2\x80\x99\xc2\xa6\\\x1aSTUVWXYZ\xc2\xb2\xc2\xa7\x1a\x1a\xc2\xab\xc2\xac0123456789\xc2\xb3\xc2\xa9\x1a\x1a\xc2\xbb\xc2\x9f'
encoding_table = codecs.charmap_build(decoding_table)
